# Time Machine

check commit timestamp & hash

## How?

1. change commit timestamp using [`git filter-repo`](https://github.com/newren/git-filter-repo).

   ```python
   git filter-repo --commit-callback '
       # UNIX time. Not using 0 because it might cause bug.
       commit.author_date = b"1 +0000"
       commit.committer_date = b"1 +0000"

       from pprint import pprint
       pprint(commit.__dict__)
       print("----")
   ' --refs master --force
   ```

2. Change hash using [`lucky-commit`](https://github.com/not-an-aardvark/lucky-commit).

```bash
lucky_commit 1970010100 # warning: might take a while
```
